> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neobank.proofof.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beneficiary



## OpenAPI

````yaml /openapi.json get /v1/beneficiaries/{beneficiary_id}
openapi: 3.1.0
info:
  summary: >-
    Canonical API for customer onboarding, accounts, remittance, mandates, and
    cards.
  title: Example Neobank
  version: 0.1.0
servers: []
security: []
paths:
  /v1/beneficiaries/{beneficiary_id}:
    get:
      tags:
        - Beneficiaries
      summary: Get Beneficiary
      operationId: get_beneficiary_v1_beneficiaries__beneficiary_id__get
      parameters:
        - in: path
          name: beneficiary_id
          required: true
          schema:
            title: Beneficiary Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BeneficiaryView'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Malformed or invalid request semantics
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Action not permitted
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: State or idempotency conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Request validation failed
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Rate limit exceeded
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Invalid upstream response
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider capability unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider timeout
components:
  schemas:
    BeneficiaryView:
      additionalProperties: false
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        created_at:
          format: date-time
          title: Created At
          type: string
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        destination_masked:
          anyOf:
            - type: string
            - type: 'null'
          title: Destination Masked
        id:
          title: Id
          type: string
        is_external:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is External
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        payout_schema_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Payout Schema Id
        status:
          title: Status
          type: string
      required:
        - id
        - name
        - nickname
        - country
        - currency
        - payout_schema_id
        - status
        - created_at
        - destination_masked
        - is_external
      title: BeneficiaryView
      type: object
    ProblemDetails:
      additionalProperties: false
      properties:
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        fields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Fields
        instance:
          title: Instance
          type: string
        refresh_onboarding:
          title: Refresh Onboarding
          type: boolean
        request_id:
          title: Request Id
          type: string
        retryable:
          title: Retryable
          type: boolean
        status:
          title: Status
          type: integer
        submission_uncertain:
          title: Submission Uncertain
          type: boolean
        title:
          title: Title
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - title
        - status
        - detail
        - instance
        - code
        - request_id
        - retryable
        - submission_uncertain
        - refresh_onboarding
      title: ProblemDetails
      type: object

````